
Redmine - Patch #7570

Change test_helper requirement in tests

2011-02-07 17:57 - Jean-Baptiste Barth

Status: New Start date: 2011-02-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

In r4509 I changed the way test_helper was required in all our tests, so that tests could run on ruby 1.9.2 (ftr, ruby 1.9.2 no longer

includes "." in $LOAD_PATH by default). This change was also made to ease test runs from command line (e.g. ruby

/path/to/one/test.rb).

Gregor said on github that a simple require 'test_helper' would be good enough with ruby's -I flag.

Any thought about that ? If not, I'll replace them with simplers require 'test_helper'.

History

#1 - 2011-02-07 18:16 - Etienne Massip

No clue but that would be cleaner, for sure :)

#2 - 2012-06-10 22:42 - Jean-Baptiste Barth

- Assignee deleted (Jean-Baptiste Barth)
https://www.redmine.org/projects/redmine/repository/svn/revisions/4509
https://github.com/edavis10/redmine/commit/17f86d964fe05e677714baa35ec319abe13ae8bf#commitcomment-263250
http://www.tcpdf.org

